Overview
PUT
/auth/user-methods/{id}authUpdate a user auth method (admin)
Replace a record in user-methods by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- providerIdoptionalstring
- credentialoptionalstring
- clearCredentialoptionalboolean
Example
{
"providerId": "string",
"credential": "string",
"clearCredential": true
}Responses
200
updated auth method
- idstring
- userIdstring
- providerstring
- providerIdstring?
- hasCredentialboolean
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"userId": "string",
"provider": "string",
"providerId": "string",
"hasCredential": true,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/auth/user-methods/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"providerId": "string",
"credential": "string",
"clearCredential": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/user-methods/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"providerId\": \"string\",\n \"credential\": \"string\",\n \"clearCredential\": true\n}",
});
const data = await res.json();